summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-03-13 19:51:47 +0100
committerJim Meyering <jim@meyering.net>2007-03-13 19:51:47 +0100
commit24045feb85ed265e48b827c01d2f0fd7a48c1350 (patch)
treed0ba5c005d2cac4de77ba89605f34f4a430945ea /tests
parent64f972e94beafc4cedf42b2df6962062ecf265ea (diff)
downloadcoreutils-24045feb85ed265e48b827c01d2f0fd7a48c1350.tar.xz
Work around a failing test due to an NFS-based race condition.
* tests/cp/sparse: Accept a report that the copy is *smaller*.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/cp/sparse2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/cp/sparse b/tests/cp/sparse
index 98d580d21..b2e940e45 100755
--- a/tests/cp/sparse
+++ b/tests/cp/sparse
@@ -52,6 +52,6 @@ fail=0
cp --sparse=always sparse copy || fail=1
# Ensure that the copy has the same block count as the original.
-test `stat --printf %b sparse` = `stat --printf %b copy` || fail=1
+test `stat --printf %b copy` -le `stat --printf %b sparse` || fail=1
(exit $fail); exit $fail